%define upstream_name    Test-Whitespaces
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Test source code for errors in whitespaces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::Util)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module is intend to solve one simple task: to make sure that your source
code don't have problems with whitespaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/test_whitespaces
/usr/bin/whiter
/usr/share/man/man1/test_whitespaces.1.xz
/usr/share/man/man1/whiter.1.xz



%changelog

* Mon Feb 18 2013 guillomovitch <guillomovitch> 0.30.0-1.mga3
+ Revision: 399207
- imported package perl-Test-Whitespaces


* Mon Feb 18 2013 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
